What plugins do I need?

Always use the latest version of Adobe Flash. Check your version of Adobe Flash (and upgrade if necessary) at the following link: http://www.adobe.com/software/flash/about/